SDL-mixer-0.6.1: Binding to libSDL_mixer

Portability | portable
Stability | provisional
Maintainer | lemmih@gmail.com
Safe Haskell | None

Graphics.UI.SDL.Mixer.Types

Description

# Documentation

data ChunkStruct Source

type Chunk = ForeignPtr ChunkStruct Source

data MusicStruct Source

type Music = ForeignPtr MusicStruct Source

type Channel = Int Source

data MusicType Source

Constructors

MusicNone |
MusicCmd |
MusicWav |
MusicMod |
MusicMid |
MusicOgg |
MusicMp3 |

Instances

Bounded MusicType |
Enum MusicType |
Eq MusicType |
Ord MusicType |
Show MusicType |

data Fading Source

Constructors

NoFading |
FadingOut |
FadingIn |

Instances

Bounded Fading |
Enum Fading |
Eq Fading |
Ord Fading |
Show Fading |